<?php

require_once('appmonitor-client.class.php');
$oMonitor = new appmonitor();

$oMonitor->addCheck(
        array(
            "name" => "simple",
            "description" => "Very simple test",
            "check" => array(
                "function" => "Simple",
                "params" => array(
                    "result" => 0,
                    "value" => "The appmonitor client is reachable.",
                ),
            ),
        )
);


require_once '../../config/inc_projects_config.php';
$sSqlitefile=$aConfig['dataDir'].'/database/logs.db';
$oMonitor->addCheck(
    array(
        "name" => "Sqlite DB for action logs",
        "description" => "Connect sqlite db ". basename($sSqlitefile),
        "check" => array(
            "function" => "SqliteConnect",
            "params" => array(
                "db"=>$sSqlitefile
            ),
        ),
    )
);


// Gesamt-Ergebnis - ohne Param=aut. max. Wert nehmen
$oMonitor->setResult();

// Ausgabe
$oMonitor->render();
